(***********************************************************************)
(*                                                                     *)
(*                           FaCiLe                                    *)
(*                                                                     *)
(*            Nicolas Barnier, Pascal Brisset, LOG, ENAC/CENA          *)
(*                                                                     *)
(***********************************************************************)
(* $Id: fcl_binary.mli,v 1.7 2000/12/07 10:28:28 barnier Exp $ *)

(* Module [Binary]: extensive binary constraints filtering with AC3 algorithm *)

val cstr : Fcl_var.Fd.t -> Fcl_var.Fd.t -> (int * int) list -> Fcl_cstr.t
(* [cstr var1 var2 nogoods] return the constraint forbidding the integer
   couples contained in [nogoods] to be solution for the variable pair
   ([var1], [var2]) using the AC3 algorithm.
   Not reifiable. *)
