(***********************************************************************)
(*                                                                     *)
(*                           FaCiLe                                    *)
(*                                                                     *)
(*            Nicolas Barnier, Pascal Brisset, LOG, ENAC/CENA          *)
(*                                                                     *)
(***********************************************************************)
(* $Id: fcl_interval.mli,v 1.9 2001/01/29 14:28:18 brisset Exp $ *)

(* Module [Interval]: variable membership of an interval *)

val is_member : Fcl_var.Fd.t -> int -> int -> Fcl_var.Fd.t
  (* [is_member v inf sup] returns the boolean variable instantiated to [1]
     if [v] is in [inf..sup] and to [0] otherwise. *)
val cstr : Fcl_var.Fd.t -> int -> int -> Fcl_var.Fd.t -> Fcl_cstr.t
  (* [cstr v inf sup b] returns the constraint ensuring that the boolean
     variable [b] is instantiated to [1] if [v] is in [inf..sup] and to
     [0] otherwise.
     Not reifiable. *)

